Fix for lucid
authorMichael Spang <mspang@csclub.uwaterloo.ca>
Sun, 11 Jul 2010 21:55:41 +0000 (17:55 -0400)
committerMichael Spang <mspang@csclub.uwaterloo.ca>
Sun, 11 Jul 2010 21:55:41 +0000 (17:55 -0400)
packages.ia

index f937b41..75d3ad0 100644 (file)
@@ -111,10 +111,11 @@ if @devel-full {
             antlr antlr-doc cantlr python-antlr happy frown frown-doc
             byacc kelbt lemon bnfc jflex jlex re2c bisonc++
             python-ply python-pyparsing btyacc mono-jay pccts
-            kimwitu kimwitu-doc kimwitu++ menhir racc wyg cl-yacc
+            kimwitu kimwitu-doc kimwitu++ menhir racc wyg
             ml-yacc coco-cpp coco-cs coco-java coco-doc cup
             javacc javacc-doc python-yappy yapps2
-            styx styx-dev styx-doc liblua5.1-lpeg-dev;
+            styx styx-dev styx-doc liblua5.1-lpeg-dev
+            @!lucid cl-yacc;
 
     # build systems
     install make-doc ccache distcc ant ant-optional bake scons qt4-qmake
@@ -300,7 +301,7 @@ if @general-use {
     install graphviz octave3.0 octave3.0-doc octave3.0-emacsen octave3.0-headers
             r-recommended euler euler-doc gnuplot gnuplot-doc
             gap lp-solve mathomatic maxima maxima-doc
-            @X gnuplot-x11 xppaut;
+            @X gnuplot-x11 @amd64 xppaut;
 
     # xml
     install xsltproc libxml2-utils docbook-xsl docbook-utils docbook-dsssl